// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json",
    "application/xml"
  ],
  "produces": [
    "application/json",
    "application/xml"
  ],
  "schemes": [
    "http",
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "This is the core application that powers ticket boss ticketing sytem.",
    "title": "Ticket Boss API.",
    "termsOfService": "Terms of service as https://ticketboss.com/tos",
    "contact": {
      "name": "Gideon Karuga",
      "url": "http://strutstechnology.co.ke",
      "email": "karuga.gideon@gmail.com"
    },
    "version": "0.0.1"
  },
  "host": "176.58.124.136:9020",
  "basePath": "/ticketboss",
  "paths": {
    "/events": {
      "get": {
        "description": "Get All available events.",
        "tags": [
          "Events"
        ],
        "summary": "Get All Events.",
        "operationId": "events",
        "responses": {
          "200": {
            "$ref": "#/responses/allEventsResponse"
          }
        }
      },
      "post": {
        "description": "JSON Response is provided with respective success or fail details for event creation.",
        "tags": [
          "Events"
        ],
        "summary": "Creates a new Event.",
        "operationId": "eventRequest",
        "parameters": [
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "banner_url_img1": {
                  "type": "string",
                  "x-go-name": "BannerURLImg1"
                },
                "banner_url_img2": {
                  "type": "string",
                  "x-go-name": "BannerURLImg2"
                },
                "contact_person_email": {
                  "type": "string",
                  "x-go-name": "ContactPersonEmail"
                },
                "contact_person_name": {
                  "type": "string",
                  "x-go-name": "ContactPersonName"
                },
                "contact_person_phone": {
                  "type": "string",
                  "x-go-name": "ContactPersonPhone"
                },
                "description": {
                  "type": "string",
                  "x-go-name": "Description"
                },
                "event_end_date": {
                  "type": "string",
                  "x-go-name": "EventEndDate"
                },
                "event_start_date": {
                  "type": "string",
                  "x-go-name": "EventStartDate"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/responses/jsonResponse"
          }
        }
      }
    },
    "/events/{id}": {
      "get": {
        "description": "JSON Response is provided with respective success or fail details for event.",
        "tags": [
          "Events"
        ],
        "summary": "Gets a single event details.",
        "operationId": "singleEventRequest",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "x-go-name": "ID",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/responses/singleEventResponse"
          }
        }
      }
    },
    "/events/{id}/tickettypes": {
      "post": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Events"
        ],
        "summary": "Create a new ticket type for an event.",
        "operationId": "ticketTypeRequest",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "x-go-name": "ID",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "amount": {
                  "type": "number",
                  "format": "double",
                  "x-go-name": "Amount"
                },
                "description": {
                  "type": "string",
                  "x-go-name": "Description"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/responses/jsonResponse"
          }
        }
      }
    },
    "/statistics": {
      "get": {
        "description": "Statistics on number of events, registrations, transaction cound and sum.",
        "tags": [
          "Statistics"
        ],
        "summary": "Return current statistics.",
        "operationId": "statistics",
        "responses": {
          "200": {
            "$ref": "#/responses/statisticsReport"
          }
        }
      }
    },
    "/users": {
      "get": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Users"
        ],
        "summary": "User login validation - Email and password need to be passed through Basic Authentication.",
        "operationId": "users",
        "responses": {
          "200": {
            "$ref": "#/responses/userLoginResponse"
          }
        }
      },
      "post": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Users"
        ],
        "summary": "Create a new User.",
        "operationId": "userRequest",
        "parameters": [
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "email": {
                  "type": "string",
                  "x-go-name": "Email"
                },
                "img_url": {
                  "type": "string",
                  "x-go-name": "ImgURL"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                },
                "password": {
                  "type": "string",
                  "x-go-name": "Password"
                },
                "phone": {
                  "type": "string",
                  "x-go-name": "Phone"
                },
                "type": {
                  "type": "integer",
                  "format": "int64",
                  "x-go-name": "Type"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/responses/jsonResponse"
          }
        }
      }
    }
  },
  "definitions": {
    "Event": {
      "description": "Event table / model",
      "type": "object",
      "properties": {
        "banner_url_img1": {
          "type": "string",
          "x-go-name": "BannerURLImg1"
        },
        "banner_url_img2": {
          "type": "string",
          "x-go-name": "BannerURLImg2"
        },
        "contact_person_email": {
          "type": "string",
          "x-go-name": "ContactPersonEmail"
        },
        "contact_person_name": {
          "type": "string",
          "x-go-name": "ContactPersonName"
        },
        "contact_person_phone": {
          "type": "string",
          "x-go-name": "ContactPersonPhone"
        },
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "description": {
          "type": "string",
          "x-go-name": "Description"
        },
        "event_end_date": {
          "type": "string",
          "x-go-name": "EventEndDate"
        },
        "event_start_date": {
          "type": "string",
          "x-go-name": "EventStartDate"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "EventDetailsResult": {
      "description": "EventDetailsResult - Return Event details with respective ticket types",
      "type": "object",
      "properties": {
        "event": {
          "$ref": "#/definitions/Event"
        },
        "ticket_types": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/TicketType"
          },
          "x-go-name": "TicketTypes"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "JwtToken": {
      "description": "JwtToken - returned after user login",
      "type": "object",
      "properties": {
        "status": {
          "type": "string",
          "x-go-name": "Status"
        },
        "token": {
          "type": "string",
          "x-go-name": "Token"
        },
        "user_details": {
          "$ref": "#/definitions/User"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "TicketType": {
      "description": "TicketType table / model",
      "type": "object",
      "properties": {
        "amount": {
          "type": "number",
          "format": "double",
          "x-go-name": "Amount"
        },
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "description": {
          "type": "string",
          "x-go-name": "Description"
        },
        "event_id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "EventID"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "User": {
      "description": "User table / model",
      "type": "object",
      "properties": {
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "email": {
          "type": "string",
          "x-go-name": "Email"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "img_url": {
          "type": "string",
          "x-go-name": "ImgURL"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "password": {
          "type": "string",
          "x-go-name": "Password"
        },
        "phone": {
          "type": "string",
          "x-go-name": "Phone"
        },
        "referral_code": {
          "type": "string",
          "x-go-name": "ReferralCode"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        },
        "type": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Type"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    }
  },
  "responses": {
    "activity": {
      "description": "Activity table struct",
      "headers": {
        "activity_type": {
          "type": "string"
        },
        "created_on": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "resource_id": {
          "type": "integer",
          "format": "int64"
        },
        "source_ip": {
          "type": "string"
        },
        "user_id": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "allEventsResponse": {
      "description": "EventsResponse : HTTP status code 200 and an array of event models in data",
      "schema": {
        "type": "array",
        "items": {
          "$ref": "#/definitions/Event"
        }
      }
    },
    "allEventsResponse001": {
      "description": "EventsResponse001 : HTTP status code 200 and an array of repository models in data",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 200 - Status OK",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          },
          "data": {
            "description": "Array of repository models",
            "type": "array",
            "items": {
              "$ref": "#/definitions/Event"
            },
            "x-go-name": "Data"
          }
        }
      }
    },
    "allUsersResponse": {
      "description": "UsersResponse : HTTP status code 200 and an array of user models in data",
      "schema": {
        "type": "array",
        "items": {
          "$ref": "#/definitions/User"
        }
      }
    },
    "changePassword": {
      "description": "ChangePassword - ChangePassword",
      "headers": {
        "new_password": {
          "type": "string"
        },
        "old_password": {
          "type": "string"
        }
      }
    },
    "event": {
      "description": "Event table / model",
      "headers": {
        "banner_url_img1": {
          "type": "string"
        },
        "banner_url_img2": {
          "type": "string"
        },
        "contact_person_email": {
          "type": "string"
        },
        "contact_person_name": {
          "type": "string"
        },
        "contact_person_phone": {
          "type": "string"
        },
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "event_end_date": {
          "type": "string"
        },
        "event_start_date": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "eventResponse": {
      "description": "SwagerEventRequest table / model",
      "schema": {
        "$ref": "#/definitions/Event"
      }
    },
    "forbidden": {
      "description": "Error Forbidden",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 403 -  Forbidden",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          },
          "message": {
            "description": "Detailed error message",
            "type": "string",
            "x-go-name": "Message"
          }
        }
      }
    },
    "jsonResponse": {
      "description": "JSONResponse struct",
      "headers": {
        "description": {
          "type": "string"
        },
        "status": {
          "type": "string"
        }
      }
    },
    "ok": {
      "description": "Success response",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 200 - OK",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          }
        }
      }
    },
    "result": {
      "description": "Result - db result",
      "headers": {
        "total": {
          "type": "number",
          "format": "double"
        }
      }
    },
    "sigleEventResponse": {
      "description": "SingleEventResponse : HTTP status code 200 and an array of event models in data",
      "schema": {
        "$ref": "#/definitions/EventDetailsResult"
      }
    },
    "singleEventResponse": {
      "description": "EventDetailsResult - Return Event details with respective ticket types",
      "schema": {
        "type": "object",
        "properties": {
          "event": {
            "$ref": "#/definitions/Event"
          },
          "ticket_types": {
            "type": "array",
            "items": {
              "$ref": "#/definitions/TicketType"
            },
            "x-go-name": "TicketTypes"
          }
        }
      }
    },
    "statisticsReport": {
      "description": "StatisticsReport struct",
      "headers": {
        "total_events": {
          "type": "number",
          "format": "double"
        },
        "total_members": {
          "type": "number",
          "format": "double"
        },
        "total_transactions_amount": {
          "type": "number",
          "format": "double"
        },
        "total_transactions_count": {
          "type": "number",
          "format": "double"
        }
      }
    },
    "stringResult": {
      "description": "StringResult - db result",
      "headers": {
        "name": {
          "type": "string"
        }
      }
    },
    "sysmsg": {
      "description": "SysMsg struct",
      "headers": {
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "date_sent": {
          "type": "string",
          "format": "date-time"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "message": {
          "type": "string"
        },
        "msg_type": {
          "type": "string"
        },
        "notification_type": {
          "type": "string"
        },
        "recipient": {
          "type": "string"
        },
        "sg_member_id": {
          "type": "integer",
          "format": "int64"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "subject": {
          "type": "string"
        },
        "trx_id": {
          "type": "string"
        }
      }
    },
    "ticketType": {
      "description": "TicketType table / model",
      "headers": {
        "amount": {
          "type": "number",
          "format": "double"
        },
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "event_id": {
          "type": "integer",
          "format": "int64"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "transaction": {
      "description": "Transaction table / model",
      "headers": {
        "amount": {
          "type": "number",
          "format": "double"
        },
        "customer_id": {
          "type": "integer",
          "format": "int64"
        },
        "event_id": {
          "type": "integer",
          "format": "int64"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "status_description": {
          "type": "string"
        },
        "third_party_trx_id": {
          "type": "string"
        },
        "ticket_type_id": {
          "type": "integer",
          "format": "int64"
        },
        "trx_id": {
          "type": "string"
        }
      }
    },
    "user": {
      "description": "User table / model",
      "headers": {
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "email": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "img_url": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "phone": {
          "type": "string"
        },
        "referral_code": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "type": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "userLoginResponse": {
      "description": "UserLoginResponse : HTTP status code 200 and an array of user models in data",
      "schema": {
        "$ref": "#/definitions/JwtToken"
      }
    }
  },
  "securityDefinitions": {
    "api_key": {
      "type": "apiKey",
      "name": "KEY",
      "in": "header"
    }
  },
  "security": [
    {
      "api_key": null
    }
  ],
  "x-meta-array": [
    "value1",
    "value2"
  ],
  "x-meta-array-obj": [
    {
      "name": "obj",
      "value": "field"
    }
  ],
  "x-meta-value": "value"
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json",
    "application/xml"
  ],
  "produces": [
    "application/json",
    "application/xml"
  ],
  "schemes": [
    "http",
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "This is the core application that powers ticket boss ticketing sytem.",
    "title": "Ticket Boss API.",
    "termsOfService": "Terms of service as https://ticketboss.com/tos",
    "contact": {
      "name": "Gideon Karuga",
      "url": "http://strutstechnology.co.ke",
      "email": "karuga.gideon@gmail.com"
    },
    "version": "0.0.1"
  },
  "host": "176.58.124.136:9020",
  "basePath": "/ticketboss",
  "paths": {
    "/events": {
      "get": {
        "description": "Get All available events.",
        "tags": [
          "Events"
        ],
        "summary": "Get All Events.",
        "operationId": "events",
        "responses": {
          "200": {
            "description": "EventsResponse : HTTP status code 200 and an array of event models in data",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/Event"
              }
            }
          }
        }
      },
      "post": {
        "description": "JSON Response is provided with respective success or fail details for event creation.",
        "tags": [
          "Events"
        ],
        "summary": "Creates a new Event.",
        "operationId": "eventRequest",
        "parameters": [
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "banner_url_img1": {
                  "type": "string",
                  "x-go-name": "BannerURLImg1"
                },
                "banner_url_img2": {
                  "type": "string",
                  "x-go-name": "BannerURLImg2"
                },
                "contact_person_email": {
                  "type": "string",
                  "x-go-name": "ContactPersonEmail"
                },
                "contact_person_name": {
                  "type": "string",
                  "x-go-name": "ContactPersonName"
                },
                "contact_person_phone": {
                  "type": "string",
                  "x-go-name": "ContactPersonPhone"
                },
                "description": {
                  "type": "string",
                  "x-go-name": "Description"
                },
                "event_end_date": {
                  "type": "string",
                  "x-go-name": "EventEndDate"
                },
                "event_start_date": {
                  "type": "string",
                  "x-go-name": "EventStartDate"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "JSONResponse struct",
            "headers": {
              "description": {
                "type": "string"
              },
              "status": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "/events/{id}": {
      "get": {
        "description": "JSON Response is provided with respective success or fail details for event.",
        "tags": [
          "Events"
        ],
        "summary": "Gets a single event details.",
        "operationId": "singleEventRequest",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "x-go-name": "ID",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "EventDetailsResult - Return Event details with respective ticket types",
            "schema": {
              "type": "object",
              "properties": {
                "event": {
                  "$ref": "#/definitions/Event"
                },
                "ticket_types": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/TicketType"
                  },
                  "x-go-name": "TicketTypes"
                }
              }
            }
          }
        }
      }
    },
    "/events/{id}/tickettypes": {
      "post": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Events"
        ],
        "summary": "Create a new ticket type for an event.",
        "operationId": "ticketTypeRequest",
        "parameters": [
          {
            "type": "integer",
            "format": "int64",
            "x-go-name": "ID",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "amount": {
                  "type": "number",
                  "format": "double",
                  "x-go-name": "Amount"
                },
                "description": {
                  "type": "string",
                  "x-go-name": "Description"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "JSONResponse struct",
            "headers": {
              "description": {
                "type": "string"
              },
              "status": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "/statistics": {
      "get": {
        "description": "Statistics on number of events, registrations, transaction cound and sum.",
        "tags": [
          "Statistics"
        ],
        "summary": "Return current statistics.",
        "operationId": "statistics",
        "responses": {
          "200": {
            "description": "StatisticsReport struct",
            "headers": {
              "total_events": {
                "type": "number",
                "format": "double"
              },
              "total_members": {
                "type": "number",
                "format": "double"
              },
              "total_transactions_amount": {
                "type": "number",
                "format": "double"
              },
              "total_transactions_count": {
                "type": "number",
                "format": "double"
              }
            }
          }
        }
      }
    },
    "/users": {
      "get": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Users"
        ],
        "summary": "User login validation - Email and password need to be passed through Basic Authentication.",
        "operationId": "users",
        "responses": {
          "200": {
            "description": "UserLoginResponse : HTTP status code 200 and an array of user models in data",
            "schema": {
              "$ref": "#/definitions/JwtToken"
            }
          }
        }
      },
      "post": {
        "description": "JSON Response is provided with respective success or fail details.",
        "tags": [
          "Users"
        ],
        "summary": "Create a new User.",
        "operationId": "userRequest",
        "parameters": [
          {
            "name": "Body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "email": {
                  "type": "string",
                  "x-go-name": "Email"
                },
                "img_url": {
                  "type": "string",
                  "x-go-name": "ImgURL"
                },
                "name": {
                  "type": "string",
                  "x-go-name": "Name"
                },
                "password": {
                  "type": "string",
                  "x-go-name": "Password"
                },
                "phone": {
                  "type": "string",
                  "x-go-name": "Phone"
                },
                "type": {
                  "type": "integer",
                  "format": "int64",
                  "x-go-name": "Type"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "JSONResponse struct",
            "headers": {
              "description": {
                "type": "string"
              },
              "status": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  },
  "definitions": {
    "Event": {
      "description": "Event table / model",
      "type": "object",
      "properties": {
        "banner_url_img1": {
          "type": "string",
          "x-go-name": "BannerURLImg1"
        },
        "banner_url_img2": {
          "type": "string",
          "x-go-name": "BannerURLImg2"
        },
        "contact_person_email": {
          "type": "string",
          "x-go-name": "ContactPersonEmail"
        },
        "contact_person_name": {
          "type": "string",
          "x-go-name": "ContactPersonName"
        },
        "contact_person_phone": {
          "type": "string",
          "x-go-name": "ContactPersonPhone"
        },
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "description": {
          "type": "string",
          "x-go-name": "Description"
        },
        "event_end_date": {
          "type": "string",
          "x-go-name": "EventEndDate"
        },
        "event_start_date": {
          "type": "string",
          "x-go-name": "EventStartDate"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "EventDetailsResult": {
      "description": "EventDetailsResult - Return Event details with respective ticket types",
      "type": "object",
      "properties": {
        "event": {
          "$ref": "#/definitions/Event"
        },
        "ticket_types": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/TicketType"
          },
          "x-go-name": "TicketTypes"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "JwtToken": {
      "description": "JwtToken - returned after user login",
      "type": "object",
      "properties": {
        "status": {
          "type": "string",
          "x-go-name": "Status"
        },
        "token": {
          "type": "string",
          "x-go-name": "Token"
        },
        "user_details": {
          "$ref": "#/definitions/User"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "TicketType": {
      "description": "TicketType table / model",
      "type": "object",
      "properties": {
        "amount": {
          "type": "number",
          "format": "double",
          "x-go-name": "Amount"
        },
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "description": {
          "type": "string",
          "x-go-name": "Description"
        },
        "event_id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "EventID"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    },
    "User": {
      "description": "User table / model",
      "type": "object",
      "properties": {
        "date_created": {
          "type": "string",
          "format": "date-time",
          "x-go-name": "DateCreated"
        },
        "email": {
          "type": "string",
          "x-go-name": "Email"
        },
        "id": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "ID"
        },
        "img_url": {
          "type": "string",
          "x-go-name": "ImgURL"
        },
        "name": {
          "type": "string",
          "x-go-name": "Name"
        },
        "password": {
          "type": "string",
          "x-go-name": "Password"
        },
        "phone": {
          "type": "string",
          "x-go-name": "Phone"
        },
        "referral_code": {
          "type": "string",
          "x-go-name": "ReferralCode"
        },
        "status": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Status"
        },
        "type": {
          "type": "integer",
          "format": "int64",
          "x-go-name": "Type"
        }
      },
      "x-go-package": "ticket-boss/app/model"
    }
  },
  "responses": {
    "activity": {
      "description": "Activity table struct",
      "headers": {
        "activity_type": {
          "type": "string"
        },
        "created_on": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "resource_id": {
          "type": "integer",
          "format": "int64"
        },
        "source_ip": {
          "type": "string"
        },
        "user_id": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "allEventsResponse": {
      "description": "EventsResponse : HTTP status code 200 and an array of event models in data",
      "schema": {
        "type": "array",
        "items": {
          "$ref": "#/definitions/Event"
        }
      }
    },
    "allEventsResponse001": {
      "description": "EventsResponse001 : HTTP status code 200 and an array of repository models in data",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 200 - Status OK",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          },
          "data": {
            "description": "Array of repository models",
            "type": "array",
            "items": {
              "$ref": "#/definitions/Event"
            },
            "x-go-name": "Data"
          }
        }
      }
    },
    "allUsersResponse": {
      "description": "UsersResponse : HTTP status code 200 and an array of user models in data",
      "schema": {
        "type": "array",
        "items": {
          "$ref": "#/definitions/User"
        }
      }
    },
    "changePassword": {
      "description": "ChangePassword - ChangePassword",
      "headers": {
        "new_password": {
          "type": "string"
        },
        "old_password": {
          "type": "string"
        }
      }
    },
    "event": {
      "description": "Event table / model",
      "headers": {
        "banner_url_img1": {
          "type": "string"
        },
        "banner_url_img2": {
          "type": "string"
        },
        "contact_person_email": {
          "type": "string"
        },
        "contact_person_name": {
          "type": "string"
        },
        "contact_person_phone": {
          "type": "string"
        },
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "event_end_date": {
          "type": "string"
        },
        "event_start_date": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "eventResponse": {
      "description": "SwagerEventRequest table / model",
      "schema": {
        "$ref": "#/definitions/Event"
      }
    },
    "forbidden": {
      "description": "Error Forbidden",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 403 -  Forbidden",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          },
          "message": {
            "description": "Detailed error message",
            "type": "string",
            "x-go-name": "Message"
          }
        }
      }
    },
    "jsonResponse": {
      "description": "JSONResponse struct",
      "headers": {
        "description": {
          "type": "string"
        },
        "status": {
          "type": "string"
        }
      }
    },
    "ok": {
      "description": "Success response",
      "schema": {
        "type": "object",
        "properties": {
          "code": {
            "description": "HTTP status code 200 - OK",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code"
          }
        }
      }
    },
    "result": {
      "description": "Result - db result",
      "headers": {
        "total": {
          "type": "number",
          "format": "double"
        }
      }
    },
    "sigleEventResponse": {
      "description": "SingleEventResponse : HTTP status code 200 and an array of event models in data",
      "schema": {
        "$ref": "#/definitions/EventDetailsResult"
      }
    },
    "singleEventResponse": {
      "description": "EventDetailsResult - Return Event details with respective ticket types",
      "schema": {
        "type": "object",
        "properties": {
          "event": {
            "$ref": "#/definitions/Event"
          },
          "ticket_types": {
            "type": "array",
            "items": {
              "$ref": "#/definitions/TicketType"
            },
            "x-go-name": "TicketTypes"
          }
        }
      }
    },
    "statisticsReport": {
      "description": "StatisticsReport struct",
      "headers": {
        "total_events": {
          "type": "number",
          "format": "double"
        },
        "total_members": {
          "type": "number",
          "format": "double"
        },
        "total_transactions_amount": {
          "type": "number",
          "format": "double"
        },
        "total_transactions_count": {
          "type": "number",
          "format": "double"
        }
      }
    },
    "stringResult": {
      "description": "StringResult - db result",
      "headers": {
        "name": {
          "type": "string"
        }
      }
    },
    "sysmsg": {
      "description": "SysMsg struct",
      "headers": {
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "date_sent": {
          "type": "string",
          "format": "date-time"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "message": {
          "type": "string"
        },
        "msg_type": {
          "type": "string"
        },
        "notification_type": {
          "type": "string"
        },
        "recipient": {
          "type": "string"
        },
        "sg_member_id": {
          "type": "integer",
          "format": "int64"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "subject": {
          "type": "string"
        },
        "trx_id": {
          "type": "string"
        }
      }
    },
    "ticketType": {
      "description": "TicketType table / model",
      "headers": {
        "amount": {
          "type": "number",
          "format": "double"
        },
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "event_id": {
          "type": "integer",
          "format": "int64"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "transaction": {
      "description": "Transaction table / model",
      "headers": {
        "amount": {
          "type": "number",
          "format": "double"
        },
        "customer_id": {
          "type": "integer",
          "format": "int64"
        },
        "event_id": {
          "type": "integer",
          "format": "int64"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "status_description": {
          "type": "string"
        },
        "third_party_trx_id": {
          "type": "string"
        },
        "ticket_type_id": {
          "type": "integer",
          "format": "int64"
        },
        "trx_id": {
          "type": "string"
        }
      }
    },
    "user": {
      "description": "User table / model",
      "headers": {
        "date_created": {
          "type": "string",
          "format": "date-time"
        },
        "email": {
          "type": "string"
        },
        "id": {
          "type": "integer",
          "format": "int64"
        },
        "img_url": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "phone": {
          "type": "string"
        },
        "referral_code": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int64"
        },
        "type": {
          "type": "integer",
          "format": "int64"
        }
      }
    },
    "userLoginResponse": {
      "description": "UserLoginResponse : HTTP status code 200 and an array of user models in data",
      "schema": {
        "$ref": "#/definitions/JwtToken"
      }
    }
  },
  "securityDefinitions": {
    "api_key": {
      "type": "apiKey",
      "name": "KEY",
      "in": "header"
    }
  },
  "security": [
    {
      "api_key": []
    }
  ],
  "x-meta-array": [
    "value1",
    "value2"
  ],
  "x-meta-array-obj": [
    {
      "name": "obj",
      "value": "field"
    }
  ],
  "x-meta-value": "value"
}`))
}
